Plesk 10 Ubuntu 10.04: run-parts: /etc/cron.daily/60sa-update exited with return code 1

Wenn der tägliche Cronjob 60sa-update unter Plesk 10.0.1 eine Fehlermeldung à la

run-parts: /etc/cron.daily/60sa-update exited with return code 1

per eMail an den Administrator sendet, dann ist das in erster Linie nicht schlimm. Die Meldung besagt lediglich, dass keine Updates für Spamassassin anstehen.
Dennoch kann es erwünscht sein, dass Plesk hierüber nicht jeden Tag den Administrator informiert.
Ein Workaround ist, nur dann eine Fehlermeldung zu senden, sofern der Return Code !=1 ist.
In der /etc/cron.daily/60sa-update wird die Zeile

/usr/bin/sa-update && /etc/init.d/psa-spamassassin restart | tee -a /var/log/sa-update.log

in folgende abgeändert

/usr/bin/sa-update && { /etc/init.d/psa-spamassassin restart >> /var/log/sa-update.log; } \
|| { rc=$?; [ $rc -eq 1 ] && exit 0 || exit $rc; };
Dieser Beitrag wurde unter Linux / Unix, Plesk abgelegt und mit , , , , verschlagwortet. Setze ein Lesezeichen auf den Permalink.

Eine Antwort auf Plesk 10 Ubuntu 10.04: run-parts: /etc/cron.daily/60sa-update exited with return code 1

  1. Siegbert Glodek sagt:

    Funktioniert das analog auch für das generelle Plesk-Update?
    Ich erhalte täglich einen Meldung dass das Panel aktualisiert wurde. Die macht aber wenig Sinn und es würde ja reichen, wenn ein Fehler gemeldet wird.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.